View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000074aMuleFeature Requestpublic2004-06-23 22:212004-07-15 18:56
Reporterfic33 
Assigned ToXaignar 
PrioritynormalSeveritycrashReproducibilityrandom
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000074: amule crashes randomly
DescriptionEvery now and then, amule crashes. Backtrace below.

OOPS! - Seems like aMule crashed
--== BACKTRACE FOLLOWS: ==--

[0] amule(_ZN9CamuleApp16OnFatalExceptionEv+0x42) [0x81d3d42]
[1] /usr/lib/libwx_gtk-2.4.so.0(wxFatalSignalHandler+0x2d) [0x78c38dd]
[2] [0x94a420]
[3] amule(_ZN13CUpDownClient17CalculateKBpsDownEv+0x15c) [0x80fe83c]
[4] amule(_ZN9CPartFile7ProcessEjh+0x4c1) [0x8180d31]
[5] amule(_ZN14CDownloadQueue7ProcessEv+0x24b) [0x810b11b]
[6] amule(_Z9TimerProcv+0x78) [0x81cf108]
[7] /usr/lib/libwx_gtk-2.4.so.0(_ZN12wxEvtHandler16SearchEventTableER12wxEventTableR7wxEvent+0xb7) [0x77dcc27]
[8] /usr/lib/libwx_gtk-2.4.so.0(_ZN12wxEvtHandler12ProcessEventER7wxEvent+0x93) [0x77dca43]
[9] /usr/lib/libwx_gtk-2.4.so.0(_ZN11wxTimerBase6NotifyEv+0x87) [0x787db07]
[10] /usr/lib/libwx_gtk-2.4.so.0(timeout_callback+0x2d) [0x778eebd]
[11] /usr/lib/libglib-1.2.so.0 [0x8089d5]
[12] /usr/lib/libglib-1.2.so.0 [0x80795b]
[13] /usr/lib/libglib-1.2.so.0 [0x807e47]
[14] /usr/lib/libglib-1.2.so.0(g_main_run+0x45) [0x8080f5]
[15] /usr/lib/libgtk-1.2.so.0(gtk_main+0xbf) [0x1a553f]
[16] /usr/lib/libwx_gtk-2.4.so.0(_ZN5wxApp8MainLoopEv+0x19) [0x773f0f9]
[17] /usr/lib/libwx_gtk-2.4.so.0(_ZN9wxAppBase5OnRunEv+0x17) [0x779e417]
[18] /usr/lib/libwx_gtk-2.4.so.0(_Z7wxEntryiPPc+0x25b) [0x773f85b]
[19] amule(main+0x1b) [0x81d04db]
[20] /lib/tls/libc.so.6(__libc_start_main+0xe4) [0x523ad4]
[21] amule(_ZN16wxScrolledWindow16AdjustScrollbarsEv+0xf9) [0x80cbf11]
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0000116)
fic33 (reporter)
2004-06-23 22:22

This is release 2.0.0-r3
(0000125)
deltaHF (manager)
2004-07-04 09:01

try cvs from 26.06 plz and use gdb for backtraces
(0000145)
Xaignar (manager)
2004-07-15 18:56

Known bug, which I'm fixing ATM. Thanks for the report though. =)

- Issue History
Date Modified Username Field Change
2004-06-23 22:21 fic33 New Issue
2004-06-23 22:22 fic33 Note Added: 0000116
2004-07-04 09:01 deltaHF Note Added: 0000125
2004-07-15 18:56 Xaignar Status new => resolved
2004-07-15 18:56 Xaignar Resolution open => fixed
2004-07-15 18:56 Xaignar Assigned To => Xaignar
2004-07-15 18:56 Xaignar Note Added: 0000145


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker